%define gem_name daemons

Summary:             A toolkit to create and control daemons in different ways
Name:                rubygem-%{gem_name}
Version:             1.4.1
Release:             5%{?dist}
License:             MIT and (GPLv2+ or Ruby)
URL:                 https://rubygems.org/gems/daemons
Source0:             https://rubygems.org/downloads/%{gem_name}-%{version}.gem

BuildRequires:       rubygems-devel
Requires:            ruby(rubygems) ruby(release)
Provides:            rubygem(%{gem_name}) = %{version}
BuildArch:           noarch

%description
Daemons provides an easy way to wrap existing ruby scripts (for example a self-written server)  to
be run as a daemon and to be controlled by simple start/stop/restart commands.  You can also call
blocks as daemons and control them from the parent or just daemonize the current process.  Besides
this basic functionality, daemons offers many advanced features like exception backtracing and
logging (in case your ruby script crashes) and monitoring and automatic restarting of your processes
if they crash.

%prep
%setup -q -c  -T

%build

%install
%gem_install -n %{SOURCE0}
mkdir -p %{buildroot}%{gem_dir}
cp -pa .%{gem_dir}/* %{buildroot}%{gem_dir}/

%files
%license %{gem_instdir}/LICENSE
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%doc %{gem_instdir}/Releases
%dir %{gem_instdir}
%{gem_instdir}/examples/
%{gem_libdir}/
%{gem_spec}
%exclude %{gem_cache}

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4.1-5
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4.1-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4.1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4.1-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Mar 21 2023 Shuo Wang <abushwang@tencent.com> - 1.4.1-1
- initial build
